## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLQueryExpression

All Superinterfaces:
  SQLObject, SQLQueryObject

All Known Implementing Classes:
  XMLQueryExpressionImpl

public interface XMLQueryExpression
extends SQLQueryObject

A representation of the model object 'XML Query Expression'. Represents an XQuery expression. The content of this element is a literal string which specifies an XML Query. See ISO SQL/XML sec. 6.17.

The following features are supported:

- `Xquery Expr Content`
- `Predicate Exists`
- `Value Function Query`

See Also:
  `SQLXMLQueryModelPackage.getXMLQueryExpression()`

Method Summary
`XMLPredicateExists` `getPredicateExists()` Returns the value of the 'Predicate Exists' container reference.
`XMLValueFunctionQuery` `getValueFunctionQuery()` Returns the value of the 'Value Function Query' container reference.
`java.lang.String` `getXqueryExprContent()` Returns the value of the 'Xquery Expr Content' attribute.
`void` `setPredicateExists(XMLPredicateExists value)` Sets the value of the '`Predicate Exists`' container reference.
`void` `setValueFunctionQuery(XMLValueFunctionQuery value)` Sets the value of the '`Value Function Query`' container reference.
`void` `setXqueryExprContent(java.lang.String value)` Sets the value of the '`Xquery Expr Content`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getXqueryExprContent

    public java.lang.String getXqueryExprContent()

  Returns the value of the 'Xquery Expr Content' attribute.

  If the meaning of the 'Xquery Expr Content' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Xquery Expr Content' attribute.
  See Also:
    `setXqueryExprContent(String)`, `SQLXMLQueryModelPackage.getXMLQueryExpression_XqueryExprContent()`

### setXqueryExprContent

    public void setXqueryExprContent(java.lang.String value)

  Sets the value of the '`Xquery Expr Content`' attribute.

  Parameters:
    `value` - the new value of the 'Xquery Expr Content' attribute.
  See Also:
    `getXqueryExprContent()`

### getPredicateExists

    public XMLPredicateExists getPredicateExists()

  Returns the value of the 'Predicate Exists' container reference. It is bidirectional and its opposite is '`Xquery Expr`'.

  If the meaning of the 'Predicate Exists' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Predicate Exists' container reference.
  See Also:
    `setPredicateExists(XMLPredicateExists)`, `SQLXMLQueryModelPackage.getXMLQueryExpression_PredicateExists()`, `XMLPredicateExists.getXqueryExpr()`

### setPredicateExists

    public void setPredicateExists(XMLPredicateExists value)

  Sets the value of the '`Predicate Exists`' container reference.

  Parameters:
    `value` - the new value of the 'Predicate Exists' container reference.
  See Also:
    `getPredicateExists()`

### getValueFunctionQuery

    public XMLValueFunctionQuery getValueFunctionQuery()

  Returns the value of the 'Value Function Query' container reference. It is bidirectional and its opposite is '`Xquery Expr`'.

  If the meaning of the 'Value Function Query' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Function Query' container reference.
  See Also:
    `setValueFunctionQuery(XMLValueFunctionQuery)`, `SQLXMLQueryModelPackage.getXMLQueryExpression_ValueFunctionQuery()`, `XMLValueFunctionQuery.getXqueryExpr()`

### setValueFunctionQuery

    public void setValueFunctionQuery(XMLValueFunctionQuery value)

  Sets the value of the '`Value Function Query`' container reference.

  Parameters:
    `value` - the new value of the 'Value Function Query' container reference.
  See Also:
    `getValueFunctionQuery()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.